## fileExists

### Syntax:

    fileExists (nameOfFile);

### Purpose:

Checks whether the file nameOfFile exists. The nameOfFile parameter should be a string, not a file handle. Useful for checking whether a saved game exists before attempting to load or overwrite it, or for finding out whether the reason that a file couldn't be launched is because it doesn't exist.

This function supports filename bodging - for details see the bodgeFilenames command.

### Return value:

No return value.

### See also:

deleteFile

getMatchingFiles

launch and launchWith

loadGame

renameFile

saveGame

showThumbnail

SLUDGE and this SLUDGE documentation are copyright Hungry Software and contributors 2000-2012